## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanSourceTreeDOMSupport Class Reference

Inheritance diagram for XalanSourceTreeDOMSupport:

[legend]
Collaboration diagram for XalanSourceTreeDOMSupport:

[legend]
List of all members.

## Public Member Functions

- XalanSourceTreeDOMSupport ()
- XalanSourceTreeDOMSupport (const XalanSourceTreeParserLiaison &theParserLiaison)
- virtual ~XalanSourceTreeDOMSupport ()
- virtual void reset ()
- virtual const XalanDOMString & getUnparsedEntityURI (const XalanDOMString &theName, const XalanDocument &theDocument) const
    Retrieves the URI of the named unparsed entity from the supplied document.
- virtual bool isNodeAfter (const XalanNode &node1, const XalanNode &node2) const
    Determine if a node is after another node, in document order.
- const XalanSourceTreeParserLiaison * getParserLiaison () const
- void setParserLiaison (const XalanSourceTreeParserLiaison *theParserLiaison)

## Constructor & Destructor Documentation

XalanSourceTreeDOMSupport::XalanSourceTreeDOMSupport | ( |  | ) |

XalanSourceTreeDOMSupport::XalanSourceTreeDOMSupport | ( | const XalanSourceTreeParserLiaison & | theParserLiaison | ) |

virtual XalanSourceTreeDOMSupport::~XalanSourceTreeDOMSupport | ( |  | ) | `[virtual]`

## Member Function Documentation

const XalanSourceTreeParserLiaison* XalanSourceTreeDOMSupport::getParserLiaison | ( |  | ) | const

virtual const XalanDOMString& XalanSourceTreeDOMSupport::getUnparsedEntityURI | ( | const XalanDOMString & | theName,
|  | const XalanDocument & | theDocument
| ) | const`[virtual]`

Retrieves the URI of the named unparsed entity from the supplied document.

Parameters:

  theName | The name of the entity
  theDocument | The document that contains the entity

Returns:
  The URI of the entity

Implements DOMSupport.

Reimplemented in XalanDefaultParsedSourceDOMSupport.

virtual bool XalanSourceTreeDOMSupport::isNodeAfter | ( | const XalanNode & | node1,
|  | const XalanNode & | node2
| ) | const`[virtual]`

Determine if a node is after another node, in document order.

Parameters:

  node1 | The first node
  node2 | The second node

Returns:
  true if node1 one is after node2, or false if it is not.

Implements DOMSupport.

Reimplemented in XalanDefaultParsedSourceDOMSupport.

virtual void XalanSourceTreeDOMSupport::reset | ( |  | ) | `[virtual]`

| Implements DOMSupport. Reimplemented in XalanDefaultParsedSourceDOMSupport.

void XalanSourceTreeDOMSupport::setParserLiaison | ( | const XalanSourceTreeParserLiaison * | theParserLiaison | ) |

The documentation for this class was generated from the following file:

- XalanSourceTreeDOMSupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.